<?php 
class EVJquery extends AppEvento{
	
	protected $accion;
	protected $_al_inicar = false;
	public function __construct($evento, $accion){
		
		$this->accion = $accion;
		parent::__construct($evento);
	}
	
	public function setEjecutarAlIniciar($valor){
		$this->_al_inicar = $valor;
	}
	
	public function renderEvento(){

		$script = '$("'. $this->padre->identificadorScript() .'").'.$this->disparador.'(function(){'
		.$this->accion
		.'});
			'.($this->_al_inicar?'$("'. $this->padre->identificadorScript() .'").'.$this->disparador.'()':'').'
				';
		
		return $script;
	}
	
	
} 